Name:          ocaml-pcre
Version:       7.4.6
Release:       1mamba
Summary:       Perl Compatibility Regular Expressions for OCaml
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://mmottl.github.io/pcre-ocaml/
Source:        https://github.com/mmottl/pcre-ocaml.git/%{version}/pcre-ocaml-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpcre-devel
BuildRequires: ocaml
BuildRequires: ocaml-runtime
## AUTOBUILDREQ-END
BuildRequires: ocaml-ocamldoc
BuildRequires: ocaml-findlib
BuildRequires: dune

%description
This OCaml-library interfaces the C-library PCRE (Perl-compatibility Regular Expressions).
It can be used for matching regular expressions which are written in "PERL"-style.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description apidocs
This package includes the %{name} API documentation.

%prep
%setup -q -n pcre-ocaml-%{version}

%build
dune build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
dune install \
   --destdir=%{buildroot} \
   --libdir=%{_libdir}/ocaml

rm -r %{buildroot}%{_prefix}/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/pcre
%{_libdir}/ocaml/pcre/dune-package
%{_libdir}/ocaml/pcre/META
%{_libdir}/ocaml/pcre/opam
%{_libdir}/ocaml/pcre/*.cma
%{_libdir}/ocaml/pcre/*.cmi
%{_libdir}/ocaml/pcre/*.cmt
%{_libdir}/ocaml/pcre/*.cmti
%{_libdir}/ocaml/pcre/*.cmxs
%{_libdir}/ocaml/pcre/*.ml
%{_libdir}/ocaml/stublibs/*.so*
%doc LICENSE.md

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/pcre/*.a
%{_libdir}/ocaml/pcre/*.cmx
%{_libdir}/ocaml/pcre/*.cmxa
%{_libdir}/ocaml/pcre/*.mli

%files apidocs
%defattr(-,root,root)
%doc examples/

%changelog
* Tue May 04 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4.6-1mamba
- update to 7.4.6

* Sat Dec 21 2013 Automatic Build System <autodist@mambasoft.it> 7.0.4-1mamba
- automatic update by autodist

* Sun Jun 23 2013 Davide Madrisan <davide.madrisan@gmail.com> 7.0.2-5mamba
- install dll libs in stublibs because this directory is known by ocaml ans so we do not need to modify ld.conf

* Sun Jun 23 2013 Davide Madrisan <davide.madrisan@gmail.com> 7.0.2-4mamba
- provide a devel package

* Sat Jun 22 2013 Davide Madrisan <davide.madrisan@gmail.com> 7.0.2-3mamba
- install the files in in a path known by ocamlfind

* Sat Jun 22 2013 openmamba WebBuild System <webbuild@openmamba.org> 7.0.2-2mamba
- add build requirements

* Wed Jan 23 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.2-1mamba
- package created by silvan using the webbuild interface
